# CDNTV Web - API

## Endpoints

`:3001/api-docs/#/`

```yaml
swagger: "2.0"
info:
  description: "CDNTV Web API"
  version: "1.0.0"
  title: "CDNTV Web API"
  termsOfService: "http://swagger.io/terms/"
  contact:
    email: "suporte@technobox.com.br"
  license:
    name: "Apache 2.0"
    url: "http://www.apache.org/licenses/LICENSE-2.0.html"
host: "prodiver-domain:3001"

schemes:
- "https"
- "http"

paths:
  /files/:
    get:
      summary: Returns all the files.
      responses:
        200:
          description: OK
    post:
      summary: Uploads a file.
      consumes: 
        - multipart/form-data
      parameters:
        - in: formData
          name: file
          required: true
          type: file
          description: Uploads a file.
      responses:
        200:
          description: OK

  /files/{filename}:
    delete:
      summary: Removes a file
      parameters:
        - in: path
          name: filename
          required: true
          type: string
      responses: 
        200:
          description: OK
```
